## whoopsie-daisy 0.1

=== Makefile ===
CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl NetworkManager) -g -Ilib
LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl)
SOURCES=src/whoopsie.c lib/bson/bson.c lib/bson/encoding.c lib/bson/numbers.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=src/whoopsie
BIN=$(DESTDIR)/usr/bin

.PHONY: all clean check install

install: all
	install -d $(BIN)
	install src/whoopsie $(BIN)
all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	c99 $(OBJECTS) $(LIBS) -o $@
clean:
	rm -f $(EXECUTABLE) $(OBJECTS)
	$(MAKE) -C src/tests clean
check:
	$(MAKE) -C src/tests
%.o: %.c
	c99 -c -o $@ $< $(CFLAGS)
