=== debian/control ===
Source: whoopsie-daisy
Section: utils
Priority: optional
Maintainer: Evan Dandrea <ev@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2
Homepage: http://wiki.ubuntu.com/ErrorTracker
Vcs-Bzr: http://code.launchpad.net/~ev/+junk/crashdb

Package: whoopsie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ubuntu crash database submission daemon.
