=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Evan Dandrea <ev@ubuntu.com>
-Build-Depends: debhelper (>= 8.0.0)
+Build-Depends: debhelper (>= 8.0.0),
+ libglib2.0-dev,
+ libcurl4-openssl-dev,
+ network-manager-dev
 Standards-Version: 3.9.2
 Homepage: http://wiki.ubuntu.com/ErrorTracker
 Vcs-Bzr: http://code.launchpad.net/~ev/+junk/crashdb
