## whoopsie-daisy 0.1.2

=== Makefile ===
CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl NetworkManager) $(shell libgcrypt-config --cflags) -g -Ilib -Wall -Werror
LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) $(shell libgcrypt-config --libs) -lcap
SOURCES=src/whoopsie.c lib/bson/bson.c lib/bson/encoding.c lib/bson/numbers.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=src/whoopsie
BIN=$(DESTDIR)/usr/bin
DATA=$(DESTDIR)/etc

.PHONY: all clean check install

all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	c99 $(OBJECTS) $(LIBS) -o $@
clean:
	rm -f $(EXECUTABLE) $(OBJECTS)
	$(MAKE) -C src/tests clean
check:
	$(MAKE) -C src/tests
	./src/tests/test
%.o: %.c
	c99 -c $(CFLAGS) -o $@ $<

install: all
	install -d $(BIN)
	install src/whoopsie $(BIN)
	install -d $(DATA)/init
	install -m644 data/whoopsie.conf $(DATA)/init
