## whoopsie-daisy 0.1.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl NetworkManager) $(shell libgcrypt-config --cflags) -g -Ilib -Wall -Werror
+CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) $(shell libgcrypt-config --cflags) -g -Ilib -Wall -Werror
 LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) $(shell libgcrypt-config --libs) -lcap
 SOURCES=src/whoopsie.c lib/bson/bson.c lib/bson/encoding.c lib/bson/numbers.c
 OBJECTS=$(SOURCES:.c=.o)
