=== src/tests/Makefile ===
CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) -g -I../../lib -I.. -DTEST -DTEST_DIR=\"$(CURDIR)\"
LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) -lcap
SOURCES=test_parse_report.c ../whoopsie.c ../../lib/bson/bson.c ../../lib/bson/encoding.c ../../lib/bson/numbers.c
OBJECTS=$(SOURCES:.c=.test.o)
EXECUTABLE=test

.PHONY: all clean check

all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	c99 $(OBJECTS) $(LIBS) -o $@
clean:
	rm -f $(EXECUTABLE) $(OBJECTS)
%.test.o: %.c
	c99 -c -o $@ $< $(CFLAGS)
