=== debian/control ===
Source: whoopsie-daisy
Section: utils
Priority: optional
Maintainer: Evan Dandrea <ev@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 libglib2.0-dev (>= 2.31.6),
 libcurl4-openssl-dev,
 libgcrypt11-dev,
 libcap-dev
Standards-Version: 3.9.2
Homepage: http://wiki.ubuntu.com/ErrorTracker
Vcs-Bzr: http://code.launchpad.net/whoopsie-daisy

Package: whoopsie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Ubuntu crash database submission daemon.
