## whoopsie-daisy 0.1.6

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 .PHONY: all clean check install
 
 all: $(SOURCES) $(EXECUTABLE)
+	$(MAKE) -C preferences
 
 $(EXECUTABLE): $(OBJECTS)
 	c99 $(OBJECTS) $(LIBS) -o $@
@@ -19,10 +20,11 @@
 	$(MAKE) -C src/tests
 	./src/tests/test
 %.o: %.c
-	c99 -c $(CFLAGS) -o $@ $<
+	c99 -c $(CFLAGS) -o $@ $^
 
 install: all
 	install -d $(BIN)
 	install src/whoopsie $(BIN)
 	install -d $(DATA)/init
 	install -m644 data/whoopsie.conf $(DATA)/init
+	$(MAKE) -C preferences install
