=== debian/control ===
--- 
+++ 
@@ -6,7 +6,11 @@
  libglib2.0-dev (>= 2.31.6),
  libcurl4-openssl-dev,
  libgcrypt11-dev,
- libcap-dev
+ libcap-dev,
+ libgnome-control-center-dev,
+ libpolkit-gobject-1-dev,
+ libgtk-3-dev,
+ python
 Standards-Version: 3.9.2
 Homepage: http://wiki.ubuntu.com/ErrorTracker
 Vcs-Bzr: http://code.launchpad.net/whoopsie-daisy
