=== debian/changelog ===
whoopsie-daisy (0.1.34.1) precise-proposed; urgency=medium

  * src/whoopsie.c: Move UnreportableReason from fields we don't send to
    errors to fields we do, that way we know apport's opinion of the crash.
    (LP: #1382233)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Nov 2015 13:34:23 -0800

whoopsie-daisy (0.1.34) precise-proposed; urgency=medium

  * Do not send Stacktrace, and ThreadStacktrace as retracing with ddebs will
    provide more useful versions of them. (LP: #1306175)

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Apr 2014 15:48:06 -0700

whoopsie-daisy (0.1.33) precise-proposed; urgency=low

  * Continue to process the existing crash reports every two hours, not
    just once after two hours (LP: #1205374).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 29 Jul 2013 17:16:42 +0100
